Page MenuHomePhabricator

Click event is not correctly logging the total interaction time
Closed, ResolvedPublic

Description

Clicking on the hovercards enabled link element (not the hovercard itself) is sending null as the total interaction time. This affects the test group (Hovercards ON), and not the control group (Hovercards OFF).

Event Timeline

Change 313258 had a related patch set uploaded (by Bmansurov):
Regression: correctly log the click action total interaction time

https://gerrit.wikimedia.org/r/313258

bmansurov removed the point value for this task.EditedSep 28 2016, 9:29 PM

Forgot that subtasks don't need estimation.

So to clarify, does this issue only affect the test group (Hovercards ON) or also the control group of the Popups schema?

bmansurov updated the task description. (Show Details)Oct 3 2016, 12:14 PM

@Jdlrobson can you review https://gerrit.wikimedia.org/r/#/c/313258/ so that it rides the train tomorrow?

I only just got a chance to look but I can't verify the fix. I'm finishing up for the day now. @phuedx can you take a look?

Change 313258 merged by jenkins-bot:
Regression: correctly log the click action total interaction time

https://gerrit.wikimedia.org/r/313258

phuedx reassigned this task from bmansurov to Jhernandez.Oct 4 2016, 2:11 PM

I only just got a chance to look but I can't verify the fix. I'm finishing up for the day now. @phuedx can you take a look?

From my review of rEPOP3c0ea0f9cda9: Regression: correctly log the click action total interaction time:

I was able to reproduce the issue with the following steps:

  • hover over a link and wait for a hovercard to appear
  • open the link in a new tab
  • observe the totalInteractionTime property of the opened in a new tab event is null

Verified in reading-web-staging.wmflabs.org with @phuedx instructions

  • hover over a link and wait for a hovercard to appear
  • open the link in a new tab
  • observe the totalInteractionTime property of the opened in a new tab event is null

totalInteractionTime is correctly a number, in my case around 3000 for the 3s of interaction time on my tests.

Jhernandez closed this task as Resolved.Oct 4 2016, 3:14 PM